cpu_vendor(3)

NAME
cpu_vendor

SYNOPSIS
#include <allegro.h>

extern char cpu_vendor[];

DESCRIPTION
Contains the CPU vendor name, if known (empty string on non-Intel platforms). You can read this variable after you have called check_cpu() (which is automatically called by allegro_init()).

SEE ALSO
check_cpu(3), cpu_family(3), cpu_model(3), cpu_capabilities(3), allegro_init(3)